// mcPolymer - Monte Carlo simulation program of radical polymerization
// Copyright (C) 2008 - 2012 Marco Drache, Georg Drache
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

/*
 * mcPolymer.h
 *
 *  Created on: 24.08.2008
 *      Author: drache
 */

#include <vector>
#include <iostream>

using namespace std;
class chain {
public:
	chain() {
		clength = 1;
	}
	~chain() {
	}
	inline void incrLength() {
		++clength;
	}
	inline int getLength() {
		return clength;
	}
	inline void setLength(int nclength) {
		clength = nclength;
	}
private:
	int clength;
};

